Class | Bio::PAML::Yn00
In: | lib/bio/appl/paml/yn00.rb lib/bio/appl/paml/yn00/report.rb
Parent: | Common

## Description

Bio::PAML::Yn00 is a wrapper for running PAML yn00 program.

Because most of the methods in this class are inherited from Bio::PAML::Common, see documents of Bio::PAML::Common for details.

## Examples

Example 1:

      require 'bio'
      # Reads multi-fasta formatted file and gets a Bio::Alignment object.
      alignment = Bio::FlatFile.open(Bio::Alignment::MultiFastaFormat,
                                     'example.fst').alignment
      # Creates a Yn00 object
      baseml = Bio::PAML::Yn00.new
      # Sets parameters
      baseml.parameters[:verbose] = 1
      baseml.parameters[:icode] = 0
      # You can also set many parameters at a time.
      baseml.parameters.update({ :weighting => 0, :commonf3x4 => 0 })
      # Executes yn00 with the alignment
      report = yn00.query(alignment)

### Methods

query query_by_string

### Classes and Modules

Class Bio::PAML::Yn00::Report

### Constants

DEFAULT_PROGRAM | = | 'yn00'.freeze |  | Default program name

DEFAULT_PARAMETERS

=

{ # Essential argumemts :seqfile => nil, :outfile => nil, # Optional arguments :verbose => 1, :icode => 0, :weighting => 0, :commonf3x4 => 0

Default parameters when running baseml.

The parameters whose values are different from the baseml defalut value (described in pamlDOC.pdf) in PAML 4.1 are:

     seqfile, outfile, treefile, ndata, noisy, verbose

### Public Instance methods

query(alignment)

Runs the program on the internal parameters with the specified sequence alignment. Note that parameters[:seqfile] and parameters[:outfile] are always modified.

For other important information, see the document of Bio::PAML::Common#query.

Arguments:

- (required) alignment: Bio::Alignment object or similar object

Returns: | Report object

[Source]

        # File lib/bio/appl/paml/yn00.rb, line 83
    83:     def query(alignment)
    84:       super(alignment)
    85:     end

query_by_string(alignment = nil)

Runs the program on the internal parameters with the specified sequence alignment as a String object.

For other important information, see the document of query and Bio::PAML::Common#query_by_string methods.

Arguments:

- (required) alignment: Bio::Alignment object or similar object

Returns: | Report object

[Source]

        # File lib/bio/appl/paml/yn00.rb, line 97
    97:     def query_by_string(alignment = nil)
    98:       super(alignment)
    99:     end

[Validate]